ur_rna.Utilities.swing

## Class FontUtil

- java.lang.Object
- - ur_rna.Utilities.swing.FontUtil

-     public abstract class FontUtil
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `FontUtil.FontExpressivenessComparator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.text.DecimalFormat` | `_fontSizeFormatter`
    `static java.awt.Font` | `defaultFont`
    `private static FontUtil.FontExpressivenessComparator` | `FONT_EXPRESSIVENESS_COMPARATOR`
    `private static java.awt.font.FontRenderContext` | `FONT_RENDER_CONTEXT`
    `private static java.lang.String` | `FONT_TEST_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `encode(java.awt.Font f)`
    `static java.awt.Font` | `getPhysicalFont(java.awt.Font logicalFont)`
    `static java.awt.Font` | `getPhysicalFont(java.awt.Font logicalFont, java.lang.String testText)` Try to guess physical font from the properties of a logical font, like "Dialog", "Serif", "Monospaced" etc.
    `private static boolean` | `isLogicalFontFamily(java.lang.String family)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _fontSizeFormatter

          private static java.text.DecimalFormat _fontSizeFormatter

    - #### defaultFont

          public static final java.awt.Font defaultFont

    - #### FONT_EXPRESSIVENESS_COMPARATOR

          private static final FontUtil.FontExpressivenessComparator FONT_EXPRESSIVENESS_COMPARATOR

    - #### FONT_RENDER_CONTEXT

          private static final java.awt.font.FontRenderContext FONT_RENDER_CONTEXT

    - #### FONT_TEST_STRING

          private static final java.lang.String FONT_TEST_STRING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FontUtil

          public FontUtil()

  - ### Method Detail

    - #### encode

          public static java.lang.String encode(java.awt.Font f)

    - #### getPhysicalFont

          public static java.awt.Font getPhysicalFont(java.awt.Font logicalFont)

    - #### getPhysicalFont

          public static java.awt.Font getPhysicalFont(java.awt.Font logicalFont,
                                                      java.lang.String testText)

      Try to guess physical font from the properties of a logical font, like "Dialog", "Serif", "Monospaced" etc.
      Parameters:
        `logicalFont` - Logical font object.
        `testText` - Text used to determine font properties.
      Returns:
        An object of the first matching physical font. The original font object is returned if it was a physical font or no font matched.

    - #### isLogicalFontFamily

          private static boolean isLogicalFontFamily(java.lang.String family)